#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=0 Height=0
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
SetSignature	"L.O.A. Computer Team "
#AddLogo    XStart=0.000 YStart=0.000 XScale=-1.000 YScale=0.000


#############################################################

ReadSurface      File="DATA/cos_surface.data" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=2500  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Mgraph perspective" Height=1.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="                   "

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=0 Xmax=49 Ymin=0 Ymax=49]    DistanceFactor=1 XYRatio=1 Interpolation=No
3DView  Up/Down=60  Right/Left=45  GroundLevel=0 Stretch=0.93 Shift=0.09  GridSize=40 Color=Black Thickness=2
 Add3DView      Surface  [Top Bottom Grid Surface]
SurfaceLUT          LutNumber=2

XTitle        Title="X" Height=0.00
XAxis Show=Yes     Scale=Linear    Min=0    Max=49  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=0    Max=49    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
ZTitle        Title="Z" Height=0.00
ZAxis Show=Yes     Scale=Linear    Min=-0.999984    Max=0.999989    Delta=-1  Color=Black  Thickness=1  
ZLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0

DrawCell     XStart=2.0000   YStart=2.0000   Width=7.0000   Height=7.0000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File="DATA/cos_surface.data" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=2500  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Mgraph perspective" Height=1.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="                   "

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=0 Xmax=49 Ymin=0 Ymax=49]    DistanceFactor=1 XYRatio=1 Interpolation=No
3DView  Up/Down=60  Right/Left=45  GroundLevel=0 Stretch=0.93 Shift=0.09  GridSize=40 Color=Black Thickness=2
 Add3DView      Grid  [Top Bottom Grid Surface]
SurfaceLUT          LutNumber=2

XTitle        Title="X" Height=0.00
XAxis Show=Yes     Scale=Linear    Min=0    Max=49  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=0    Max=49    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
ZTitle        Title="Z" Height=0.00
ZAxis Show=Yes     Scale=Linear    Min=-0.999984    Max=0.999989    Delta=-1  Color=Black  Thickness=1  
ZLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0

DrawCell     XStart=12.0000   YStart=2.0000   Width=7.0000   Height=7.0000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File="DATA/gerard_surface.data" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=464  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Radiometer field of view" Height=1.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="                   "

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=-7 Xmax=8 Ymin=-7 Ymax=7]    DistanceFactor=1 XYRatio=1 Interpolation=No
3DView  Up/Down=30  Right/Left=30  GroundLevel=0 Stretch=1 Shift=0.45  GridSize=40 Color=white Thickness=2
 Add3DView      Grid Surface  [Top Bottom Grid Surface]
SurfaceLUT          LutNumber=2

XTitle        Title="$t$_x" Height=1.00
XAxis Show=Yes     Scale=Linear    Min=-5.16    Max=7.212  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
YTitle        Title="$t$_y" Height=1.00
YAxis Show=Yes     Scale=Linear    Min=-6.402    Max=4.7    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat=""  Angle=0.0
ZTitle        Title="Normalized signal intensity" Height=0.00
ZAxis Show=Yes     Scale=Linear    Min=-0.09414    Max=0.9998    Delta=-1  Color=Black  Thickness=1  
ZLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0

DrawCell     XStart=12.0000   YStart=11.0000   Width=7.0000   Height=7.0000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File="DATA/riedi_surface.data" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=165  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="" Height=1.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="                   "

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=203 Xmax=217 Ymin=93 Ymax=103]    DistanceFactor=1 XYRatio=1 Interpolation=No
3DView  Up/Down=15  Right/Left=35  GroundLevel=10.047 Stretch=1 Shift=0  GridSize=32 Color=Black Thickness=2
 Add3DView      Top Bottom Grid  [Top Bottom Grid Surface]
SurfaceLUT          LutNumber=2

XTitle        Title="X" Height=0.00
XAxis Show=Yes     Scale=Linear    Min=203    Max=217  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=93    Max=103    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
ZTitle        Title="Z" Height=0.00
ZAxis Show=Yes     Scale=Linear    Min=9.46476    Max=10.6292    Delta=-1  Color=Black  Thickness=1  
ZLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0

DrawCell     XStart=12.0000   YStart=20.0000   Width=7.0000   Height=7.0000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File="DATA/cos_surface.data" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=2500  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="Mgraph perspective" Height=1.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="                   "

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=0 Xmax=49 Ymin=0 Ymax=49]    DistanceFactor=1 XYRatio=1 Interpolation=No
3DView  Up/Down=60  Right/Left=45  GroundLevel=0.000918478 Stretch=0.77 Shift=0.09  GridSize=30 Color=White Thickness=2
 Add3DView      Grid Surface  [Top Bottom Grid Surface]
SurfaceLUT          LutNumber=2

XTitle        Title="X" Height=0.00
XAxis Show=Yes     Scale=Linear    Min=28.1786    Max=43.4406  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=7.47675    Max=29.71    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
ZTitle        Title="Z" Height=0.00
ZAxis Show=Yes     Scale=Linear    Min=-0.999984    Max=0.999989    Delta=-1  Color=Black  Thickness=1  
ZLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0

DrawCell     XStart=2.0000   YStart=11.0000   Width=7.0000   Height=7.0000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

#############################################################

ReadSurface      File="DATA/riedi_surface.data" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=165  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=-8421 Zmin=-1 Zmax=-1

PlotTitle     Title="" Height=1.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
#ScaleToFrame

#Formula       Min=0   Max=0   Npoints=0   Formula="                   "

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=203 Xmax=217 Ymin=93 Ymax=103]    DistanceFactor=1 XYRatio=1 Interpolation=No
3DView  Up/Down=15  Right/Left=30  GroundLevel=10.047 Stretch=1 Shift=0  GridSize=20 Color=Black Thickness=2
 Add3DView      Top Bottom Surface  [Top Bottom Grid Surface]
SurfaceLUT          LutNumber=2

XTitle        Title="X" Height=0.00
XAxis Show=Yes     Scale=Linear    Min=203    Max=217  Delta=-1  Color=Black  Thickness=1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
YTitle        Title="Y" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=93    Max=103    Delta=-1  Color=Black  Thickness=1  
YLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0
ZTitle        Title="Z" Height=0.00
ZAxis Show=Yes     Scale=Linear    Min=9.46476    Max=10.6292    Delta=-1  Color=Black  Thickness=1  
ZLabel        LabelStep=-1    Reference=-1   LabelHeight=0.00   CFormat=""  Angle=0.0

DrawCell     XStart=2.0000   YStart=20.0000   Width=7.0000   Height=7.0000\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame] 

SendTo[EPS]File   File="OUT/3D.ps"  Type=Color    [Copies=1]   Orientation=Portrait
#SendToPrinter  Command="/usr/LOA/bin/vidpsTEK"  Type=Color   [Copies=1]   Orientation=Portrait
