#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

ReadSurface      File="DATA/xtract_arm19961205" Mode=IRREGULAR  \
	Ncolumns=7 Nlines=900  LinesToSkip=0 Xcolumn=3 Ycolumn=2 Zcolumn=7   UndefValue=-8421  \
	 Zmin=0 Zmax=1050

PlotTitle     Title="Rayleigh Pressure - ARM Site" Height=1.400
Grid          Frame=Yes   Xgrid=No       Ygrid=No 
ContourDef  Label=No  IdealDistance=1  BackGround=transp ForeGround=Undef CFormat="%.3g" Size=1
SurfaceGeometry	 Xmin=1814 Xmax=1843 Ymin=954 Ymax=983 Interpolation=Yes DistanceFactor=1 XYRatio=1
SurfaceLUT          LutNumber=2
AddObject        Surface      
ColorScale	Mode=Linear XStart=30% YStart=115% XEnd=70% YEnd=120% Min=0 Max=255 \
	 Color=Black Position=DownRight NoTick=No CFormat="%.0f" Size=1 \
	 List=0 0 500 500 1050 1050
XTitle        Title="column nbr" Height=2.000
XAxis         Scale=Linear    Min=1814    Max=1843  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.600   Format=""
YTitle        Title="line nbr" Height=2.00
YAxis         Scale=Linear    Min=954    Max=983   Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.600   Format=""
DrawCell     XStart=1.0000   YStart=0.5000   Width=9.0000   Height=9.0000   Type=Color   Orientation=Portrait  Mode=Margin  

Histogram "DATA/xtract_arm19961205" Ncolumns=7 Ycolumn=7 Nlines=900 LinesToSkip=0 Xmin=0 \
Xmax=1050 ClassSize=20 Cumulative=no YPercent=yes Style=Steps UndefValue=0

PlotTitle     Title="Rayleigh Pressure - ARM Site - histogram" Height=1.400
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
LineStyle     Curve=1   Style=Solid           Color=Red          LineWidth=3
XTitle        Title="Rayleigh pressure (hPa)" Height=2.00
XAxis         Scale=Linear    Min=0    Max=1050  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.600   Format=""
YTitle        Title=" " Height=2.00
YAxis         Scale=Linear    Min=0    Max=40    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.600   Format=""
DrawCell     XStart=1.0000   YStart=10.0000   Width=9.0000   Height=9.0000   Type=Color   Orientation=Portrait  Mode=Margin  


ReadSurface      File="DATA/xtract_arm19961205" Mode=IRREGULAR  \
	Ncolumns=7 Nlines=900  LinesToSkip=0 Xcolumn=3 Ycolumn=2 Zcolumn=6   UndefValue=-8421 \
	DistanceFactor=1 Zmin=0 Zmax=4

PlotTitle     Title="Phase - ARM Site" Height=1.400
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ContourDef  Label=No  IdealDistance=1  BackGround=transp ForeGround=Undef CFormat="%.3g" Size=1
SurfaceGeometry Xmin=1814  Xmax=1843 Ymin=954  Ymax=983 Interpolation=Yes DistanceFactor=1 XYRatio=1 
SurfaceLUT          LutNumber=2
AddObject        Surface      [Region Surface Dots Triangles]
ColorScale	Mode=Boxes  XStart=30% YStart=115% XEnd=70% YEnd=120% Min=0 Max=255 \
	Color=Black Position=DownRight NoTick=No CFormat="%.0f" Size=2 \
	List=0 "clear/undet." 1  "liquid" 2  "ice" 3 "mixte"
XTitle        Title="column nbr " Height=2.00
XAxis         Scale=Linear    Min=1814    Max=1843  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.60   Format=""
YTitle        Title="line nbr" Height=2.00
YAxis         Scale=Linear    Min=954    Max=983   Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.60   Format=""
DrawCell     XStart=11.0000   YStart=0.5000   Width=9.0000   Height=9.0000   Type=Color   Orientation=Portrait  Mode=Margin  

Histogram "DATA/xtract_arm19961205" Ncolumns=7 Ycolumn=6 Nlines=900 LinesToSkip=0 Xmin=0 Xmax=4 Class=0.5 Cumulative=no  YPercent=yes Style=Steps UndefValue=0

PlotTitle     Title="Phase - ARM Site - histogram" Height=1.400
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
LineStyle     Curve=1   Style=Solid           Color=Red          LineWidth=3
XTitle        Title=" Thermodynamic Cloud Phase  " Height=2.00
XAxis         Scale=Linear    Min=0    Max=4  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.600   Format=""
YTitle        Title=" " Height=2.00
YAxis         Scale=Linear    Min=0    Max=95.8949    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.600   Format=""
PlotText     XStart=61.28%  YStart=2.82%   Color=Black Style=Bold  Height=1.00 Angle=0.00  Text="0=clear/undetermined\n1=liquid\n2=ice\n3=mixed"
DrawCell     XStart=11.0000   YStart=10.0000   Width=9.0000   Height=9.0000   Type=Color   Orientation=Portrait  Mode=Margin  

ReadFile     File="DATA/ARM_19961205" Mode=XY  Style=LinePlot  \
	NColumns=6  XColumn=2  YColumn=4  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="MMCR Data - altitude" Height=1.400
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
LineStyle     Curve=1   Style=Solid           Color=Red          LineWidth=4
XTitle        Title="Time UTC" Height=2.00
XAxis         Scale=Linear    Min=1630    Max=1930  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.60   Format=""
YTitle        Title="Cloud top Altitude" Height=2.00
YAxis         Scale=Linear    Min=0    Max=12000    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.60   Format=""
DrawCell     XStart=1.0000   YStart=21.0000   Width=9.0000   Height=8.0000   Type=Color   Orientation=Portrait  Mode=Margin  

ReadFile     File="DATA/ARM_19961205" Mode=XY  Style=LinePlot  \
	NColumns=6  XColumn=2  YColumn=6  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

PlotTitle     Title="MMCR Data - Temperature " Height=1.400
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
LineStyle     Curve=1   Style=Solid           Color=Red          LineWidth=4
XTitle        Title="Time UTC" Height=2.00
XAxis         Scale=Linear    Min=1630    Max=1930  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.60   Format=""
YTitle        Title="Cloud temperature (kelvin)" Height=2.00
YAxis         Scale=Linear    Min=200    Max=300    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.60   Format=""
DrawCell     XStart=11.0000   YStart=21.0000   Width=9.0000   Height=8.0000   Type=Color   Orientation=Portrait  Mode=Margin  

PageBox    XStart=3.7000  YStart=19.0000   Xend=12.6000   YEnd=20.6000 Color=Black Thickness=.05
PageText    XStart=4.0000  YStart=19.5000   Color=Black  Style=Plain  Height=0.4000  Angle=0.00 Text="POLDER data above the ARM site : 19961205 \nRayleigh pressure and thermodynamic cloud phase.\nARM site is located at the image center" 

AddLogo    XStart=0.000 YStart=0.000 XScale=-1.000 YScale=0.000
SendToFile     File="OUT/ARM.ps"  Type=Color   Size=15.0000  Copies=1 Orientation=Portrait
