#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
#AddLogo    XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140


#############################################################

ReadFile      File="DATA/WORLD_MAP.gz" 
ReadFile      File="DATA/Modis01.data"

PlotTitle     Title=" MODIS Land tiling for geolocated products (L2G and L3)" Height=1.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=No  [Yes | Light | No] 
ScaleToFrame
LineStyle     Curve=1   Style=Solid           Color=Red          Thickness=1
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=2

XTitle        Title=" " Height=1.50
XAxis         Scale=Formula Formula="x=x*cosd(y)"    Min=-180    Max=180  Delta=10  Label=No
YTitle        Title="Latitude" Height=1.00
YAxis         Scale=Linear    Min=-90    Max=90    Delta=10   
YLabel        LabelStep=1    Reference=90   LabelHeight=0.50   CFormat="%.0f"


#   ********  Annotations ********  
PlotText     XStart=0.26%  YStart=39.08%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="00"
PlotText     XStart=3.12%  YStart=33.54%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="01"
PlotText     XStart=5.98%  YStart=29.54%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="02"
PlotText     XStart=8.97%  YStart=26.15%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="03"
PlotText     XStart=11.83%  YStart=23.38%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="04"
PlotText     XStart=14.43%  YStart=20.92%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="05"
PlotText     XStart=17.17%  YStart=18.46%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="06"
PlotText     XStart=20.03%  YStart=16.31%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="07"
PlotText     XStart=22.89%  YStart=14.15%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="08"
PlotText     XStart=25.62%  YStart=12.31%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="09"
PlotText     XStart=28.35%  YStart=10.15%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="10"
PlotText     XStart=31.21%  YStart=8.00%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="11"
PlotText     XStart=33.81%  YStart=6.15%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="12"
PlotText     XStart=36.54%  YStart=4.31%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="13"
PlotText     XStart=39.40%  YStart=2.46%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="14"
PlotText     XStart=42.26%  YStart=0.92%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="15"
PlotText     XStart=44.86%  YStart=-0.62%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="16"
PlotText     XStart=47.85%  YStart=-2.14%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="17"
PlotText     XStart=50.85%  YStart=-2.14%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="18"
PlotText     XStart=53.71%  YStart=-0.54%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="19"
PlotText     XStart=56.44%  YStart=1.34%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="20"
PlotText     XStart=59.17%  YStart=2.95%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="21"
PlotText     XStart=61.77%  YStart=4.83%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="22"
PlotText     XStart=64.50%  YStart=6.43%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="23"
PlotText     XStart=67.49%  YStart=8.58%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="24"
PlotText     XStart=70.09%  YStart=10.19%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="25"
PlotText     XStart=72.95%  YStart=12.06%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="26"
PlotText     XStart=75.94%  YStart=14.48%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="27"
PlotText     XStart=78.54%  YStart=16.62%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="28"
PlotText     XStart=81.40%  YStart=19.03%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="29"
PlotText     XStart=84.27%  YStart=21.18%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="30"
PlotText     XStart=86.87%  YStart=23.59%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="31"
PlotText     XStart=89.73%  YStart=26.54%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="32"
PlotText     XStart=92.59%  YStart=29.76%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="33"
PlotText     XStart=95.19%  YStart=33.51%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="34"
PlotText     XStart=98.31%  YStart=39.14%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="35"
PlotText     XStart=49.67%  YStart=1.54%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="00"
PlotText     XStart=49.54%  YStart=7.08%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="01"
PlotText     XStart=48.11%  YStart=12.62%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="02"
PlotText     XStart=46.42%  YStart=17.85%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="03"
PlotText     XStart=44.99%  YStart=23.69%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="04"
PlotText     XStart=43.69%  YStart=29.23%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="05"
PlotText     XStart=42.52%  YStart=34.46%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="06"
PlotText     XStart=42.00%  YStart=40.31%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="07"
PlotText     XStart=42.26%  YStart=45.85%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="08"
PlotText     XStart=43.17%  YStart=51.38%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="09"
PlotText     XStart=43.95%  YStart=56.92%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="10"
PlotText     XStart=45.38%  YStart=62.46%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="11"
PlotText     XStart=46.68%  YStart=68.00%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="12"
PlotText     XStart=47.85%  YStart=73.54%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="13"
PlotText     XStart=49.02%  YStart=79.08%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="14"
PlotText     XStart=49.54%  YStart=84.62%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="15"
PlotText     XStart=49.67%  YStart=90.15%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="16"
PlotText     XStart=49.67%  YStart=95.08%   Color=Blue Style=Bold  Height=0.40 Angle=0.00  Text="17"
#   ********  Annotations: End ********  

DrawCell   XStart=3.00   YStart=4.00   Width=15.00   Height=25.00   Type=Color   Orientation=Landscape

SendToFile     File="OUT/Modis.ps"  Type=Color  
