#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=741 Height=710
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
#AddLogo    XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140


#############################################################

ReadFile      File="DATA/WORLD_MAP.gz" 
ReadFile      File="DATA/Modis02A.data" 

PlotTitle     Title=" MODIS coverage over USA : 7 granules - Equal-angle projection" Height=1.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
ScaleToFrame
LineStyle     Curve=1   Style=Solid           Color=Red          Thickness=1
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=4

XTitle        Title="Longitude" Height=1.00
XAxis         Scale=Linear    Min=-180    Max=-29.999  Delta=10  
XLabel        LabelStep=1   Reference=-30   LabelHeight=0.70   CFormat="%.0f"
YTitle        Title="Latitude" Height=1.00
YAxis         Scale=Linear    Min=10    Max=80    Delta=5   
YLabel        LabelStep=2    Reference=90   LabelHeight=0.70   CFormat="%.0f"

DrawCell        XStart=3.  YStart=3.  Width=15.  Height=12.  Type=Color

#############################################################

ReadFile      File="DATA/WORLD_MAP.gz" 
ReadFile      File="DATA/Modis02B.data" 

PlotTitle     Title=" MODIS coverage over USA : Tiles and granules foot prints\n(Sinusoidal projection)" Height=1.00
Grid          Frame=Yes   Xgrid=Yes      Ygrid=Yes  [Yes | Light | No] 
ScaleToFrame
LineStyle     Curve=1   Style=Solid           Color=Red          Thickness=1
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=2
LineStyle     Curve=3   Style=Solid           Color=Magenta      Thickness=4

XTitle        Title="Longitude" Height=1.00
XAxis         Scale=Formula Formula="x=x*cosd(y)" Min=-180 Max=-29.99 NewMin=-118.4 NewMax=-9.99   Delta=10  
XLabel        LabelStep=1   Reference=-30   LabelHeight=0.70   CFormat="%.0f"
YTitle        Title="Latitude" Height=1.00
YAxis         Scale=Linear    Min=10    Max=80    Delta=5   
YLabel        LabelStep=2    Reference=90   LabelHeight=0.70   CFormat="%.0f"


#   ********  Annotations ********  
PlotText     XStart=100.48%  YStart=4.07%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="01"
PlotText     XStart=98.22%  YStart=19.86%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="02"
PlotText     XStart=94.18%  YStart=33.25%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="03"
PlotText     XStart=90.31%  YStart=48.56%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="04"
PlotText     XStart=87.08%  YStart=62.68%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="05"
PlotText     XStart=84.81%  YStart=77.03%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="06"
PlotText     XStart=83.20%  YStart=90.91%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="07"
PlotText     XStart=5.01%  YStart=91.15%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="07"
PlotText     XStart=4.85%  YStart=76.79%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="06"
PlotText     XStart=4.85%  YStart=62.68%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="05"
PlotText     XStart=4.85%  YStart=48.09%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="04"
PlotText     XStart=10.50%  YStart=33.01%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="07"
PlotText     XStart=20.03%  YStart=27.51%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="08"
PlotText     XStart=29.40%  YStart=22.01%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="09"
PlotText     XStart=38.45%  YStart=16.99%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="10"
PlotText     XStart=47.33%  YStart=12.44%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="11"
PlotText     XStart=56.87%  YStart=7.18%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="12"
PlotText     XStart=65.91%  YStart=2.39%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="13"
PlotText     XStart=75.12%  YStart=-2.39%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="14"
PlotText     XStart=84.98%  YStart=-4.55%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="15"
PlotText     XStart=94.18%  YStart=-4.55%   Color=Blue Style=Bold  Height=0.70 Angle=0.00  Text="16"
#   ********  Annotations: End ********  

DrawCell        XStart=3.  YStart=16.  Width=15.  Height=11.7 Type=Color

SendToPSFile     File="OUT/Modis.ps"  Type=Color 
