#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
AddLogo     XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140


#############################################################

ReadXYandBuildSurface File="DATA/NoaaSurf.data.gz" Ncolumns=0 Xcolumn=1 Ycolumn=0 Nlines==0 LinesToSkip=0  UndefValue=-8421    Xmin=13 Xmax=235 Xstep=11.1    Ymin=66 Ymax=255 Ystep=9.45

PlotTitle     Title="Bidimentional plot (NOAA)" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
#ScaleToFrame
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
SurfaceGeometry [Xmin=18.55 Xmax=240.55 Ymin=70.725 Ymax=259.725]    DistanceFactor=1 XYRatio=1 Interpolation=No
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Black [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
DrawContour Value=1 Color=Blue       LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=2 Color=Magenta    LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=3 Color=Black      LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=4 Color=Green      LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=5 Color=Forest     LineStyle=Solid      MarkStyle=NoMark         Label=No
DrawContour Value=6 Color=Sienna     LineStyle=Solid      MarkStyle=NoMark         Label=No
SurfaceLUT          LutNumber=8
ColorScale	Mode=Linear [|Boxes]	XStart=11.7526% YStart=9.62441% XEnd=16.2887% YEnd=45.5399% Min=0 Max=255  
AddObject        Surface      [Region Surface Dots Triangles]


ReadFile     File="DATA/NoaaSurf.data.gz" Mode=Cartesian  Style=ScatterPlot  \
	NColumns=2  XColumn=1  YColumn=0  NLines=0  LinesToSkip=0 UndefValue=3.40282e+38

LineStyle     Curve=7   Style=NoLine          Color=Red          Thickness=1
MarkStyle     Curve=7   Style=SmallDot        Size=3
Sampling      Curve=7   Step=4
LineStyle     Curve=8   Style=NoLine          Color=Blue         Thickness=1
MarkStyle     Curve=8   Style=SmallDot        Size=3
Sampling      Curve=8   Step=4

XTitle        Title="Band 2" Height=1.00
XAxis         Scale=Linear    Min=18.55    Max=240.6  Delta=-1  
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f"
YTitle        Title="Band 1" Height=1.00
YAxis         Scale=Linear    Min=70.72    Max=259.7    Delta=-1   
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f"


#   ********  Annotations ********  
PlotText     XStart=6.60%  YStart=41.78%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="0 %"
PlotText     XStart=6.60%  YStart=27.00%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="3 %"
PlotText     XStart=6.60%  YStart=11.03%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="6 %"
#   ********  Annotations: End ********  


SendToFile     File="OUT/NoaaSurf.ps"  Type=Color
