#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

WindowSize Width=1000 Height=800
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
AddLogo     XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140


#############################################################

ReadSurface      File="DATA/Pinatubo.surf" Mode=IRREGULAR   MissingValue=-0.999
ReadFile         File="DATA/Pinatubo.data" Mode=XY  Style=LinePlot 

PlotTitle     Title="45^o - 50^o N                                         " Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame

#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
#REMOVE Square brackets if you use optional limits 
SurfaceGeometry [Xmin=0 Xmax=4655 Ymin=13.5 Ymax=25.5]    DistanceFactor=2.1 XYRatio=10 Interpolation=No
SurfaceLUT          File="USER_LUTS/Pinatubo"
SurfaceStretch	        Zmin=0 Zmax=0.7 FirstLevel=0 LastLevel=255

ColorScale	Mode=Boxes XStart=45.3608% YStart=-11.5023% XEnd=97.5258% YEnd=-6.57277% Min=0 Max=255  \
	Color=Black Position=DownRight NoTick=Yes CFormat="%.1f" Size=1 \
	List=0.1 0.1 0.2 0.2 0.3 0.3 0.4 0.4 0.5 0.5 0.6 0.6
AddObject        Surface      [Region Surface Dots Triangles]

LineStyle     Curve=1   Style=Solid           Color=Black      Thickness=2

YTitle        Title="Altitude (km)" Height=1.00
YAxis         Scale=Linear    Min=9    Max=25.5    Delta=0.5   
YLabel        LabelStep=4    Reference=-1   LabelHeight=0.80   CFormat="%2.0f"


#   ********  Annotations ********  
PlotAxis  Location=BOTTOM Scale=Linear  Min=84.9  Max=97.637  Delta=0.5  \
	Color=Black  Thickness=1 Title="Year"  TitleHeight=1.00\
	LabelStep=2 Reference=85  LabelHeight=0.80 CFormat="%2.0f" 
PlotText     XStart=66.39%  YStart=94.37%   Color=Magenta Style=Plain  Height=1.00 Angle=0.00  Text="Tropopause"
PlotText     XStart=59.38%  YStart=-15.49%   Color=Black Style=Plain  Height=1.00 Angle=0.00  Text="Effective radius ($mm)"
PlotAxis  Location=TOP    Scale=Linear  Min=84.9  Max=97.637  Delta=0.5  \
	Color=Black  Thickness=1 Title=""  TitleHeight=1.50 Label=No
PlotText     XStart=53.99%  YStart=82.55%   Color=Red Style=Plain  Height=1.00 Angle=50.00  Text="Pinatubo"
PlotArrow    XStart=54.71%  YStart=84.56%  XEnd=51.37% YEnd=100.22%   Color=Red   Style=Solid  Thickness=1
#   ********  Annotations: End ********  


SendToFile     File="OUT/Pinatubo.ps"  Type=Color   Orientation=Landscape
