#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
#AddLogo    XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140


#############################################################

ReadSurface    File="DATA/ref204.z" Mode=Irregular  \
	Ncolumns=3   Xcolumn=1   Ycolumn=2   Zcolumn=3 Zmin=-1 Zmax=-1

PlotTitle     Title="    " Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
SurfaceGeometry [Xmin=1 Xmax=288 Ymin=1 Ymax=242]    DistanceFactor=1 XYRatio=1 Interpolation=No
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g" 
SurfaceLUT          LutNumber=2
SurfaceStretch	        Zmin=35 Zmax=65 FirstLevel=0 LastLevel=255
ColorScale	Mode=Linear [|Boxes]	XStart=-11.134% YStart=28.7582% XEnd=-7.21649% YEnd=100.327% Min=0 Max=255  
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title="    " Height=1.40
XAxis         Scale=Linear    Min=1    Max=288  Delta=0  Label=No
YTitle        Title="    " Height=1.40
YAxis         Scale=Linear    Min=1    Max=242    Delta=0   Label=No


#   ********  Annotations ********  
PlotLine     XStart=9.69%   YStart=59.79%  XEnd=9.69% YEnd=59.79%   Style=DashDot   Color=Green  
PlotLine     XStart=102.47%   YStart=56.08%  XEnd=-4.95% YEnd=44.97%   Style=DashDot   Color=Green 
PlotText     XStart=101.44%   YStart=49.21%   Color=Black   Height=1.50  Text="P'"
PlotText     XStart=-3.71%   YStart=38.10%   Color=Black   Height=1.50  Text="P"

#   ********  Annotations: End ********  

DrawCell     XStart=2.   YStart=3.   Width=7   Height=7

#############################################################
ReadSurface    File="DATA/ref205.z" Mode=Irregular  \
	Ncolumns=3   Xcolumn=1   Ycolumn=2   Zcolumn=3 Zmin=-1 Zmax=-1
PlotTitle     Title="    " Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No]
ScaleToFrame
SurfaceGeometry [Xmin=1 Xmax=288 Ymin=1 Ymax=242]    DistanceFactor=1 XYRatio=1 Interpolation=No
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g"
SurfaceLUT          LutNumber=2
SurfaceStretch          Zmin=35 Zmax=65 FirstLevel=0 LastLevel=255
ColorScale      Mode=Linear XStart=-14.2268% YStart=26.1438% XEnd=-7.62887% YEnd=100.327% Min=0 Max=255
AddObject        Surface      [Region Surface Dots Triangles]

XTitle        Title="    " Height=1.40
XAxis         Scale=Linear    Min=1    Max=288  Delta=0  Label=No
YTitle        Title="    " Height=1.40
YAxis         Scale=Linear    Min=1    Max=242    Delta=0   Label=No


#   ********  Annotations ********
PlotLine     XStart=-2.06%  YStart=80.30%  XEnd=102.89% YEnd=0.91%   Style=DashDot   Color=Green 
PlotText     XStart=102.06%  YStart=-6.06%   Color=Black Height=1.50   Text="P'"
PlotText     XStart=-3.92%  YStart=72.73%   Color=Black Height=1.50   Text="P"
PlotText     XStart=-6.80%  YStart=94.55%   Color=Black Height=1.40   Text="35%"
PlotText     XStart=-6.60%  YStart=24.85%   Color=Black Height=1.40   Text="65%"
PlotText     XStart=-6.80%  YStart=56.36%   Color=Black Height=1.40   Text="50%"
#   ********  Annotations: End ********

DrawCell   XStart=11.0000   YStart=3.0000   Width=7.0000   Height=7.0000  

#############################################################
ReadSurface    File="DATA/refpol204.gz" Mode=Irregular  \
	Ncolumns=3   Xcolumn=1   Ycolumn=2   Zcolumn=3 Zmin=-1 Zmax=-1
PlotTitle     Title="    " Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No]
ScaleToFrame
SurfaceGeometry [Xmin=1 Xmax=288 Ymin=1 Ymax=242]    DistanceFactor=1 XYRatio=1 Interpolation=No
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g"
SurfaceLUT          LutNumber=2
SurfaceStretch          Zmin=0. Zmax=2.5 FirstLevel=0 LastLevel=255
AddObject        Surface      [Region Surface Dots Triangles]
XTitle        Title="    " Height=1.40
XAxis         Scale=Linear    Min=1    Max=288  Delta=0  Label=No
YTitle        Title="    " Height=1.40
YAxis         Scale=Linear    Min=1    Max=242    Delta=0   Label=No

#   ********  Annotations ********
PlotLine     XStart=102.68%  YStart=45.77%  XEnd=-5.36% YEnd=34.13%   Style=DashDot   Color=Green
PlotText     XStart=-4.74%  YStart=27.78%   Color=Black  Height=1.50   Text="P"
PlotText     XStart=101.65%  YStart=39.15%   Color=Black  Height=1.50   Text="P'"
#   ********  Annotations: End ********

DrawCell     XStart=2   YStart=13.   Width=7   Height=7
#############################################################

ReadSurface    File="DATA/refpol205.gz" Mode=Irregular  \
	Ncolumns=3   Xcolumn=1   Ycolumn=2   Zcolumn=3 Zmin=-1 Zmax=-1
PlotTitle     Title="    " Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No]
ScaleToFrame
SurfaceGeometry [Xmin=1 Xmax=288 Ymin=1 Ymax=242]    DistanceFactor=1 XYRatio=1 Interpolation=No
ContourDef  [Smooth=Yes|No]  BackGround=Transp [White] ForeGround=Undef [Undef|White|Black]\
	IdealDistance=1 Size=1 CFormat="%.3g"
SurfaceLUT          LutNumber=2
ColorScale      Mode=Linear XStart=-11.134% YStart=28.7582% XEnd=-7.21649% YEnd=100.327% Min=0 Max=255
SurfaceStretch          Zmin=0. Zmax=2.5 FirstLevel=0 LastLevel=255
AddObject        Surface      [Region Surface Dots Triangles]
XTitle        Title="    " Height=1.40
XAxis         Scale=Linear    Min=1    Max=288  Delta=0  Label=No
YTitle        Title="    " Height=1.40
YAxis         Scale=Linear    Min=1    Max=242    Delta=0   Label=No

#   ********  Annotations ********
PlotText    XStart=-3.30%  YStart=69.93%   Color=Black Height=1.50   Text="P"
PlotLine     XStart=-1.86%  YStart=78.76%  XEnd=102.89% YEnd=1.63%   Style=DashDot   Color=Green
PlotText     XStart=100.62%  YStart=-7.52%   Color=Black Height=1.50   Text="P'"
PlotText     XStart=-5.98%  YStart=94.77%   Color=Black Height=1.40   Text="0%"
PlotText     XStart=-6.60%  YStart=27.12%   Color=Black Height=1.40   Text="2.5%"
PlotText     XStart=-6.19%  YStart=52.61%   Color=Black Height=1.40   Text="1%"
#   ********  Annotations: End ********

DrawCell     XStart=11   YStart=13.   Width=7   Height=7
#############################################################


#   ********  Page annotations ********  
PageText    XStart=8.0000  YStart=11.5000   Color=Black  Style=Plain  Height=0.5000  Angle=0.00 Text="REFLECTANCES" 
PageText    XStart=6.0000  YStart=22.0000   Color=Black  Style=Plain  Height=0.5000  Angle=0.00 Text="POLARIZED REFLECTANCES" 
PageText    XStart=8.0000  YStart=23.0000   Color=Black  Style=Plain  Height=0.5000  Angle=0.00 Text="( $l =864 nm )" 
PageText    XStart=4.0000  YStart=11.5000   Color=Black  Style=Plain  Height=0.5000  Angle=0.00 Text="( $q_s =55.3^o )" 
PageText    XStart=13.0000  YStart=11.5000   Color=Black  Style=Plain  Height=0.5000  Angle=0.00 Text="( $q_s =38.0^o )" 
#   ********  Page annotations: End ********  

SendToEPSFile     File="./OUT/Surfaces.eps"  Type=Color 
