#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#The signs [] indicate the optional options
#Set up and uncomment the ReadFile and SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file


#Verbose

SetAlias
SetPaper	A4
LineJoin 	Round

WindowSize   	Width=580 Height=549

#######################  1ere Cellule  (AVEC ALIAS)  #####################################################

ReadFile 	Mode=Cartesian  File="DATA/Lille.03121029_TauPol.gz" \
	Style=ScatterPlot Ncolumns=0  Xcolumn=3 Ycolumn=4 Nlines=0 
ReadFile 	Mode=Cartesian File="DATA/Lille.03121029_TauPol.gz" \
	Style=ScatterPlot Ncolumns=13  Xcolumn=7 Ycolumn=8 Nlines=0 
ReadFile 	Mode=Cartesian File="DATA/Lille.03121029_TauPol.gz" \
	Style=ScatterPlot Ncolumns=13  Xcolumn=3 Ycolumn=5 Nlines=0 
ReadFile 	Mode=Cartesian File="DATA/Lille.03121029_TauPol.gz" \
	Style=ScatterPlot Ncolumns=13  Xcolumn=7 Ycolumn=9 Nlines=0 

LineStyle     Curve=1   Style=NoLine   		Color=Red   	
MarkStyle     Curve=1   Style=BigDot   Size=3
LineStyle     Curve=2   Style=NoLine   		Color=Blue   
MarkStyle     Curve=2   Style=BigDot   Size=3
LineStyle     Curve=3   Style=NoLine   		Color=Magenta 
MarkStyle     Curve=3   Style=BigDot   Size=3
LineStyle     Curve=4   Style=NoLine   		Color=Black  
MarkStyle     Curve=4   Style=BigDot   Size=3

PlotTitle     	Title=@TITLE Height=2.00
Grid    	Frame=Yes Xgrid=No Ygrid=No  
ScaleToFrame
XTitle        Title=@Title_onX Height=3.00
XAxis         Scale=Linear	Min=-33.55    Max=150.6
XLabel        LabelStep=-1    Delta=-1   Reference=-1   LabelHeight=1.00   Format="%.1f"
YTitle        Title=@Title_onY Height=3.00
YAxis         Scale=Linear 	Min=0.02706    Max=63.52
YLabel        LabelStep=4    Delta=2.5   Reference=15   LabelHeight=1.00   Format="%.0f"
DrawCell   XStart=3.0   YStart=2.0   Width=6.0   Height=5.5   Type=Color   

#######################  2eme Cellule  (TEXT SYMBOL) #################################################################

ReadFile Mode=Cartesian  File="DATA/upf6_700_B.dat.gz" Style=ScatterPlot Xcolumn=1 Ycolumn=3 
ReadFile Mode=Cartesian  File="DATA/upf6_700_B.dat.gz" Style=ScatterPlot Xcolumn=1 Ycolumn=2 
ReadFile Mode=Cartesian  File="DATA/upf6_700_B.dat.gz" Ncolumns=4  Xcolumn=1 Ycolumn=3 

PlotTitle     	Title="" 	Height=1.00
Grid    	Frame=Yes 	Xgrid=No 	Ygrid=No
ScaleToFrame
LineStyle     Curve=1   Style=NoLine   		Color=Red  
MarkStyle     Curve=1   Style=BigDot   Size=3
LineStyle     Curve=2   Style=Solid   		Color=Blue   	Thickness=2
MarkStyle     Curve=2   Style=BigDot   Size=3
LineStyle     Curve=3   Style=Dash   		Color=Black   	Thickness=2
PlottingStep  Curve=3   Step=5
XTitle        Title="$q_v " Height=2.00
XAxis 	      Scale=Linear  Min=-60    Max=60
XLabel        LabelStep=-1    Delta=-1   Reference=-1   LabelHeight=1.00 
YTitle        Title="Epaisseur optique" Height=2.00
YAxis         Scale=Linear  Min=0    Max=7
YLabel        LabelStep=-1    Delta=-1   Reference=-1   LabelHeight=1.00

PlotMark     XStart=20.21%  YStart=75.82%   Style=BigDot   Color=Red  Size=3
PlotText     XStart=34.28%  YStart=73.36%   Color=Black Style=Plain  \
		Height=1.50 Angle=0.00  Text=" $t_{pp} "
PlotText     XStart=34.28%  YStart=80.40%   Color=Black Style=Plain  \
		Height=1.50 Angle=0.00  Text="< $t >"
PlotText     XStart=34.28%  YStart=87.44%   Color=Black Style=Plain  \
		Height=1.50 Angle=0.00  Text=" < $t_{pp} >"
PlotLine     XStart=7.63%  YStart=82.86%  XEnd=32.78% YEnd=82.86%    \
		Style=Solid Color=Blue  Thickness=2
PlotLine     XStart=7.63%  YStart=89.91%  XEnd=32.78% YEnd=89.91%    \
		Style=Dash Color=Black  Thickness=2
DrawCell   XStart=3.0   YStart=8.   Width=6.0   Height=5.5   Type=Color   

#######################  3eme Cellule  (FORMULA)    #####################################################

ReadFile   Mode=Cartesian File="DATA/FINALP0:N13sol"  \
		Ncolumns=5  Xcolumn=1  Ycolumn=3  Nlines=48
ReadFile   Mode=Cartesian File="DATA/FINALP0:N13toaIGtotAT0.2R0.230Rho0.5"    \
		Ncolumns=5  Xcolumn=1  Ycolumn=3  Nlines=48
ReadFile   Mode=Cartesian File="DATA/FINALintrincP0:N13toaAS0.2IGtot"   \
		Ncolumns=5  Xcolumn=1  Ycolumn=3  Nlines=48
ReadFile   Mode=Cartesian File="DATA/FINALintrincP0:N13toaR0.230IGtot"   \
		Ncolumns=5  Xcolumn=1  Ycolumn=3  Nlines=48

Formula 	Min=-90 Max=90 Npoints=100 Formula="y3=1000*y3"
Formula 	Min=-90 Max=90 Npoints=100 \
	Formula="y5=y2-y4-y1*exp(-(0.5*0.2+0.230)*(1./cos(pi*47.3/180.)+1./cos(pi*x/180.)))"
Formula 	Min=-90 Max=90 Npoints=100 Formula="y5=1000*y5"

LineStyle     Curve=1   Style=Solid   	 Color=Forest   Thickness=4
LineStyle     Curve=2   Style=MicroDash  Color=Blue     Thickness=1

PlotTitle  \
	  Title="Inversion de L_{pol}($q)*cos($q)  a\'erosols \n\`a partir des donn\'ees TOA ($a=0.5)"\
	  Height=1.00
Grid    	Frame=Yes Xgrid=No Ygrid=No  
ScaleToFrame
XTitle        Title="Angles de vis\'ee (degr\'es)"	Height=1.50
YTitle        Title="En milli\`emes" 			Height=1.50
XAxis	      Min=-90    Max=90
XLabel        LabelStep=2    Delta=10   Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"
YAxis         Min=-10    Max=2
YLabel        LabelStep=2    Delta=0.5   Reference=0   LabelHeight=1.00   CFormat="%.1f"

PlotLine     XStart=10.45%  YStart=56.04%  XEnd=23.28% YEnd=56.04%   \
		Style=Solid   Color=Forest  Thickness=4
PlotText     XStart=23.78%  YStart=54.76%   Color=Black Style=Plain\
		Height=1.00 Angle=0.00  Text="L_{aer}(0) pour $d = 0.2"
PlotLine     XStart=10.45%  YStart=61.63%  XEnd=23.28% YEnd=61.63% \
		Style=MicroDash   Color=Blue  Thickness=1
PlotText     XStart=23.78%  YStart=60.35%   Color=Black Style=Plain \
		Height=1.00 Angle=0.00  Text="L_{toa}-L_{mol}-L_{sol}*exp(-m*($a*$d_{aer}+$d_m))"
DrawCell   XStart=3.0   YStart=15.0   Width=5.5   Height=6.0   Type=Color   

#######################  4eme Cellule   (POLAR AXIS) #################################################################

ReadSurface 	File="DATA/rfp205.gz" Mode=Irregular  Ncolumns=3 NLines=69696  \
		Xcolumn=1 Ycolumn=2 Zcolumn=3   DistanceFactor=4.

PlotTitle     	Title="    " 	Height=1.00
Grid    	Frame=Yes 	Xgrid=No 	Ygrid=No

ContourDef     	Label=Yes  Distance=5  BackGround=transp ForeGround=Undef  
SurfaceGeometry  Xmin=-0.809991 Xmax=0.809991 Ymin=-0.707848 Ymax=0.707848 
SurfaceLUT 	File="USER_LUTS/MonEch0blanc256noir"
AddObject   	Surface
SurfaceStretch  Zmin=0 Zmax=2.4 FirstLevel=0 LastLevel=255
ColorScale   	Mode=Linear  XStart=-14.664% YStart=25.058% XEnd=-9.77597% YEnd=74.942% Min=0 Max=255

XTitle        Title="    " Height=1.40
YTitle        Title="    " Height=1.40
XAxis          Min=-1    Max=1 	Label=No
YAxis          Min=-1    Max=1  Label=No

PolarAxis 	XCenter=0    YCenter=0    RadiusMax=1  
RadialAxis 	DeltaTheta=-8421    DeltaRadius=-8421  \
		Label=Yes  LabelStep=1  LabelHeight=2.5  LabelPosition=85 Color=Black
ThetaList 15 25 38 50 60
AzimuthAxis 	DeltaPhi=30  Label=Yes  LabelStep=1 LabelHeight=2.5  Color=Black

PlotText     XStart=-8.96%  YStart=23.43%   Color=Black Style=Plain  Height=2.00 Angle=0.00  Text="2.5%"
PlotText     XStart=-9.16%  YStart=43.62%   Color=Black Style=Plain  Height=2.00 Angle=0.00  Text="1%"
PlotText     XStart=-8.55%  YStart=70.30%   Color=Black Style=Plain  Height=2.00 Angle=0.00  Text="0%"

DrawCell   XStart=5. YStart=22. Width=6. Height=6.0   Type=Color

#######################  5eme Cellule   (ANNOTATIONS )  ##############################################################

ReadFile      File="DATA/reflec.data"
LineStyle     Curve=1   Solid   Blue   Thickness=1
LineStyle     Curve=2   Solid   Blue   Thickness=1

Grid    	Frame=Yes 	Xgrid=No 	Ygrid=No
PlotTitle     Title="Reflectance in the sunglint direction\nover ocean surface" Height=1.50
XTitle        "Cloud optical thickness $f" Height=1.50
XAxis          Min=-0.0001    Max=95
XLabel         LabelStep=-1    Delta=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f"
YTitle        "Reflectance" Height=1.50
YAxis          Min=-0.0001    Max=1
YLabel         LabelStep=1    Delta=0.1   Reference=-1   LabelHeight=1.00   CFormat="%.2f"
PlotAxis       Location=FREE    XStart=52.53%  YStart=49.31%  XEnd=52.53% YEnd=66.07% \
	Scale=Linear    Color=Magenta  Thickness=1  Title=""  TitleHeight=-1.00 \
	Min=0.17  Max=0.25 Delta=-1 Reference=-1  \
	Label=Yes LabelStep=2 LabelHeight=0.50 CFormat="" 
PlotAxis   	Location=FREE    XStart=52.53%  YStart=66.07%  XEnd=73.55% YEnd=66.07% \
	Scale=Linear    Color=Magenta  Thickness=1 Title=""  TitleHeight=-1.00 \
	Min=0     Max=2    Delta=-1 Reference=-1 \
	Label=Yes LabelStep=2 LabelHeight=0.50 CFormat="" 
PlotBox      XStart=45.78%  YStart=47.34%  XEnd=77.11% YEnd=70.22%   \
		Style=Solid   Color=Black  Thickness=1
PlotBox      XStart=-1.13%  YStart=76.73%  XEnd=3.19%  YEnd=83.43%   \
		Style=Solid   Color=Black  Thickness=1
PlotLine     XStart=-1.13%  YStart=76.92%  XEnd=45.78% YEnd=47.34%   \
		Style=Solid   Color=Black  Thickness=1
PlotLine     XStart=3.19%   YStart=83.43%  XEnd=77.11% YEnd=70.02%   \
		Style=Solid   Color=Black  Thickness=1
PlotText     XStart=36.40%  YStart=32.54%   \
		Color=Black Style=Plain  Height=1.20 Angle=0.00  \
		Text="When tending to a cloud-free atmosphere,\n   the reflectance in the sunglint direction\nincreases because of the specular reflection\n                  on the ocean surface"
DrawCell   XStart=13.0   YStart=2.0   Width=6.0   Height=6.0   Type=Color   

#######################  6eme Cellule   (SURFACE)   #################################################################

ReadSurface "DATA/CARTExyz_albedo_4965-5070_864.Z" Mode=Irregular Ncolumns=3 NLines=2778 
PlotTitle     Title=" " Height=0.00

ContourDef	Smooth=No  Label=Yes  Distance=1  BackGround=transp ForeGround=Black  
SurfaceGeometry Xmin=-16.4533 Xmax=-16.2297 Ymin=29.1371 Ymax=29.3182 
SurfaceLUT      LutNumber=2
AddObject     Surface    

ColorScale	Mode=Linear  XStart=79.3814% YStart=62.8505% XEnd=85.567% YEnd=95.3271% Min=0 Max=255

Grid    	Frame=Yes 	Xgrid=No 	Ygrid=No
XTitle        Title="Longitude " 	Height=1.20
YTitle        Title="Latitude" 		Height=1.20
XAxis         Min=-16.4533 	Max=-16.2297
YAxis         Min=29.1371   	Max=29.3182

PlotText     XStart=21.03%  YStart=91.36%   Color=Black Style=Plain  Height=1.40 Angle=0.00  Text="S"
PlotText     XStart=94.23%  YStart=3.50%    Color=Black Style=Plain  Height=1.40 Angle=0.00  Text="E"
PlotArrow    XStart=21.24%  YStart=88.79%  XEnd=14.23% YEnd=96.73%   \
		Style=Solid   Color=Black  Thickness=1
PlotText     XStart=72.37%  YStart=65.89%   Color=Black Style=Plain  Height=1.70 Angle=0.00  \
		Text="4.5\n4.0\n3.5\n3.0\n2.5\n2.0\n"
PlotText     XStart=9.90%  YStart=14.02%   Black Style=Plain  Height=1.40 Angle=0.00  \
		Text="Epaisseur optique\n26 juin 1997\nimages 4965 \`a 5070\n14:27:06 \`a 14:32:18"
DrawCell   XStart=13.0000   YStart=8.0   Width=6.0   Height=8.5   Type=Color   

#######################  7eme Cellule   (WORLD MAP) #################################################################

ReadFile   	File="DATA/World_map.z" 

LineStyle     Curve=1    Style=Solid   Color=Red       Thickness=1
LineStyle     Curve=2    Style=Solid   Color=Blue      Thickness=1
LineStyle     Curve=3    Style=Solid   Color=Magenta   Thickness=1
LineStyle     Curve=4    Style=Solid   Color=Black     Thickness=1
LineStyle     Curve=5    Style=Solid   Color=Green     Thickness=1
LineStyle     Curve=6    Style=Solid   Color=Red       Thickness=1
LineStyle     Curve=7    Style=Solid   Color=Blue      Thickness=1
LineStyle     Curve=8    Style=Solid   Color=Magenta   Thickness=1
LineStyle     Curve=9    Style=Solid   Color=Black     Thickness=1
LineStyle     Curve=10   Style=Solid   Color=Green     Thickness=1

PlotTitle     	Title="World map" Height=1.50
Grid    	Frame=Yes 	Xgrid=Light 	Ygrid=Light

XTitle        Title=" " Height=1.00
XAxis          Min=-180    Max=180
XLabel         LabelStep=-1    Delta=30   Reference=0   LabelHeight=1.00   Title="%.0f^o"
YTitle        Title=" " Height=1.20
YAxis          Min=-90    Max=90
YLabel         LabelStep=-1    Delta=30   Reference=0   LabelHeight=1.00   Title="%.0f^o"

DrawCell   XStart=11.0000   YStart=17.0   Width=9.0   Height=6.0   Type=Color   

#########################################################################################################

#AddLogo      [File=""]  XStart=1.000 YStart=28.000 XScale=0.100 YScale=0.100
SendToFile     File="./OUT/TestAll.ps" Color=Color Size=15.0000  Copies=1 Orientation=portrait
#SendToPrinter  Command="/usr/LOA/bin/vidpsLEX" Color=Color  Size=19.0000  Copies=1 Orientation=portrait

