#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=580 Height=549


ReadSurface      File="DATA/dt_ice_ref_oc_fortran.Z" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=3111  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=0 Zmin=-1 Zmax=-1

PlotTitle     Title="" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=61 Xmax=179 Ymin=-0.245 Ymax=0.215     DistanceFactor=1 XYRatio=10 Interpolation=No
SurfaceLUT          File="USER_LUTS/dt_ice.lut"
SurfaceStretch	        Zmin=0.000811596 Zmax=0.411479 FirstLevel=0 LastLevel=255
AddObject        Surface      [Region Surface Dots Triangles]
XTitle        Title=" " Height=1.00
XAxis         Scale=Linear    Min=60    Max=180  Delta=-1  
XLabel        LabelStep=-1   Reference=60   LabelHeight=1.60   CFormat="%.0f"
YTitle        Title="Sperical albedo difference" Height=1.80
YAxis         Scale=Linear    Min=-0.15    Max=0.15    Delta=-1   
YLabel        LabelStep=-1    Reference=-0.15   LabelHeight=1.60   CFormat="%.2f"
PlotText     XStart=67.42%  YStart=8.22%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="Water droplets"
PlotLine     XStart=60.   YStart=0.00   XEnd=180.00  YEnd=0.00    Color=Black   Style=Solid  Thickness=1
DrawCell     XStart=4.0000   YStart=5.0000   Width=5.0000   Height=3.0000   Type=Color   Orientation=Portrait  Mode=ScaleToFrame  


ReadSurface      File="DATA/dt_ice_macke_oc_fortran.Z" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=3111  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=0 Zmin=-1 Zmax=-1

PlotTitle     Title="" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=61 Xmax=179 Ymin=-0.225 Ymax=0.185     DistanceFactor=1 XYRatio=10 Interpolation=No
SurfaceLUT          File="USER_LUTS/dt_ice.lut"
AddObject        Surface      [Region Surface Dots Triangles]
XTitle        Title=" " Height=1.00
XAxis         Scale=Linear    Min=61    Max=179  Delta=-1  
XLabel        LabelStep=-1   Reference=60   LabelHeight=1.60   CFormat="%.0f"
YTitle        Title="Sperical albedo difference" Height=1.80
YAxis         Scale=Linear    Min=-0.15    Max=0.15    Delta=-1   
YLabel        LabelStep=-1    Reference=-0.15   LabelHeight=1.60   CFormat="%.2f"
PlotLine     XStart=60.00   YStart=0.00   XEnd=180.00  YEnd=0.00    Color=Black   Style=Solid  Thickness=1
PlotText     XStart=6.39%  YStart=7.28%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="Polycrystals"
DrawCell     XStart=4.0000   YStart=10.0000   Width=5.0000   Height=3.0000   Type=Color   Orientation=Portrait  Mode=ScaleToFrame  


ReadSurface      File="DATA/dt_ice_baran_oc_fortran.Z" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=3111  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=0 Zmin=-1 Zmax=-1

PlotTitle     Title="" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=61 Xmax=179 Ymin=-0.155 Ymax=0.195     DistanceFactor=1 XYRatio=10 Interpolation=No
SurfaceLUT          File="USER_LUTS/dt_ice.lut"
AddObject        Surface      [Region Surface Dots Triangles]
XTitle        Title=" " Height=1.00
XAxis         Scale=Linear    Min=60    Max=180  Delta=-1  
XLabel        LabelStep=-1   Reference=60   LabelHeight=1.60   CFormat="%.0f"
YTitle        Title="Sperical albedo difference" Height=1.80
YAxis         Scale=Linear    Min=-0.15    Max=0.15    Delta=-1   
YLabel        LabelStep=-1    Reference=-0.15   LabelHeight=1.60   CFormat="%.2f"
PlotLine     XStart=60.   YStart=0.00   XEnd=180.00  YEnd=0.00    Color=Black   Style=Solid  Thickness=1
PlotText     XStart=5.15%  YStart=8.69%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="Synthetised"
DrawCell     XStart=4.0000   YStart=15.0000   Width=5.0000   Height=3.0000   Type=Color   Orientation=Portrait  Mode=ScaleToFrame  


ReadSurface      File="DATA/dt_ice_inclu_oc_fortran.Z" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=3111  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=0 Zmin=-1 Zmax=-1

PlotTitle     Title="" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=61 Xmax=179 Ymin=-0.195 Ymax=0.175     DistanceFactor=1 XYRatio=10 Interpolation=No
SurfaceLUT          File="USER_LUTS/dt_ice.lut"
AddObject        Surface      [Region Surface Dots Triangles]
XTitle        Title=" " Height=1.00
XAxis         Scale=Linear    Min=61    Max=179  Delta=-1  
XLabel        LabelStep=-1   Reference=60   LabelHeight=1.60   CFormat="%.0f"
YTitle        Title="Sperical albedo difference" Height=1.80
YAxis         Scale=Linear    Min=-0.15    Max=0.15    Delta=-1   
YLabel        LabelStep=-1    Reference=-0.15   LabelHeight=1.60   CFormat="%.2f"
PlotText     XStart=7.63%  YStart=7.75%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="H.H.M."
PlotLine     XStart=60.00   YStart=0.00   XEnd=180.00  YEnd=0.00    Color=Black   Style=Solid  Thickness=1
DrawCell     XStart=4.0000   YStart=20.0000   Width=5.0000   Height=3.0000   Type=Color   Orientation=Portrait  Mode=ScaleToFrame  


ReadSurface      File="DATA/dt_ice_ref_te_fortran.Z" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=3111  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=0 Zmin=-1 Zmax=-1

PlotTitle     Title="" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=61 Xmax=179 Ymin=-0.245 Ymax=0.225     DistanceFactor=1 XYRatio=10 Interpolation=No
SurfaceLUT          File="USER_LUTS/dt_ice.lut"
AddObject        Surface      [Region Surface Dots Triangles]
XTitle        Title=" " Height=1.00
XAxis         Scale=Linear    Min=61    Max=179  Delta=-1  
XLabel        LabelStep=-1   Reference=60   LabelHeight=1.60   CFormat="%.0f"
YTitle        Title="Sperical albedo difference" Height=1.80
YAxis         Scale=Linear    Min=-0.15    Max=0.15    Delta=-1   
YLabel        LabelStep=-1    Reference=-0.15   LabelHeight=1.60   CFormat="%.2f"
PlotLine     XStart=60.00   YStart=0.00   XEnd=180.00  YEnd=0.00    Color=Black   Style=Solid  Thickness=1
PlotText     XStart=67.42%  YStart=8.22%   Color=Black Style=Plain  Height=1.30 Angle=0.00  Text="Water droplets"
DrawCell     XStart=13.0000   YStart=5.0000   Width=5.0000   Height=3.0000   Type=Color   Orientation=Portrait  Mode=ScaleToFrame  


ReadSurface      File="DATA/dt_ice_macke_te_fortran.Z" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=3111  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=0 Zmin=-1 Zmax=-1

PlotTitle     Title="" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=61 Xmax=179 Ymin=-0.245 Ymax=0.245     DistanceFactor=1 XYRatio=10 Interpolation=No
SurfaceLUT          File="USER_LUTS/dt_ice.lut"
AddObject        Surface      [Region Surface Dots Triangles]
XTitle        Title=" " Height=1.00
XAxis         Scale=Linear    Min=61    Max=179  Delta=-1  
XLabel        LabelStep=-1   Reference=60   LabelHeight=1.60   CFormat="%.0f"
YTitle        Title="Sperical albedo difference" Height=1.80
YAxis         Scale=Linear    Min=-0.15    Max=0.15    Delta=-1   
YLabel        LabelStep=-1    Reference=-0.15   LabelHeight=1.60   CFormat="%.2f"
PlotText     XStart=5.98%  YStart=7.75%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="Polycrystals"
PlotLine     XStart=60.00   YStart=0.00   XEnd=180.00  YEnd=0.00    Color=Black   Style=Solid  Thickness=1
DrawCell     XStart=13.0000   YStart=10.0000   Width=5.0000   Height=3.0000   Type=Color   Orientation=Portrait  Mode=ScaleToFrame  


ReadSurface      File="DATA/dt_ice_baran_te_fortran.Z" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=3111  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=0 Zmin=-1 Zmax=-1

PlotTitle     Title="" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=61 Xmax=179 Ymin=-0.225 Ymax=0.205     DistanceFactor=1 XYRatio=10 Interpolation=No
SurfaceLUT          File="USER_LUTS/dt_ice.lut"
AddObject        Surface      [Region Surface Dots Triangles]
XTitle        Title=" " Height=1.00
XAxis         Scale=Linear    Min=61    Max=179  Delta=-1  
XLabel        LabelStep=-1   Reference=60   LabelHeight=1.60   CFormat="%.0f"
YTitle        Title="Sperical albedo difference" Height=1.80
YAxis         Scale=Linear    Min=-0.15    Max=0.15    Delta=-1   
YLabel        LabelStep=-1    Reference=-0.15   LabelHeight=1.60   CFormat="%.2f"
PlotLine     XStart=60.00   YStart=0.00   XEnd=180.00  YEnd=0.00    Color=Black   Style=Solid  Thickness=1
PlotText     XStart=5.15%  YStart=8.69%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="Synthetised"
DrawCell     XStart=13.0000   YStart=15.0000   Width=5.0000   Height=3.0000   Type=Color   Orientation=Portrait  Mode=ScaleToFrame  


ReadSurface      File="DATA/dt_ice_inclu_te_fortran.Z" Mode=IRREGULAR  \
	Ncolumns=3 Nlines=3111  LinesToSkip=0 Xcolumn=1 Ycolumn=2 Zcolumn=3  \
	UndefValue=0 Zmin=-1 Zmax=-1

PlotTitle     Title="" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No] 
ScaleToFrame
ContourDef  Label=No  [Smooth=Yes|No] IdealDistance=1  BackGround=transp ForeGround=Undef  CFormat="%.3g"  Size=1
SurfaceGeometry Xmin=61 Xmax=179 Ymin=-0.235 Ymax=0.225     DistanceFactor=1 XYRatio=10 Interpolation=No
SurfaceLUT          File="USER_LUTS/dt_ice.lut"
AddObject        Surface      [Region Surface Dots Triangles]
XTitle        Title=" " Height=1.00
XAxis         Scale=Linear    Min=61    Max=179  Delta=-1  
XLabel        LabelStep=-1   Reference=60   LabelHeight=1.60   CFormat="%.0f"
YTitle        Title="Sperical albedo difference" Height=1.80
YAxis         Scale=Linear    Min=-0.15    Max=0.15    Delta=-1   
YLabel        LabelStep=-1    Reference=-0.15   LabelHeight=1.60   CFormat="%.2f"
PlotLine     XStart=60.00   YStart=0.00   XEnd=180.00  YEnd=0.00    Color=Black   Style=Solid  Thickness=1
PlotText     XStart=7.63%  YStart=7.75%   Color=Black Style=Plain  Height=1.50 Angle=0.00  Text="H.H.M."
DrawCell     XStart=13.0000   YStart=20.0000   Width=5.0000   Height=3.0000   Type=Color   Orientation=Portrait  Mode=ScaleToFrame  



AddLogo    XStart=0.000 YStart=0.000 XScale=1.000 YScale=1.000
SendToFile     File="OUT/dt_ice.ps"  Type=Color   Orientation=Portrait
