#Command file for Mgraph to generate PostScript plots

#The sign # comments the line
#Square brackets ([...]) indicate that the enclosed element is optional
#Quotes ("...") are used around literal characters
#The sign \ joins the line with the next line
#Set up and uncomment the ReadFile and the SendToFile/SendToPrinter lines
#Mgraph -help  provides a description of the command file

#Color  options: Red Blue Magenta Black Green Forest Sienna Yellow
#               Coral Violet Plum Cyan Turquoise Whitel
#Line   options: Solid NoLine MicroDash  SmallDash Dash LongDash Dashdot LineDot
#Marker options: NoMark  BigDot SmallDot Cross X
#                Square  Diamond  TriangleUp  TriangleDown  Circle
#               FSquare FDiamond FTriangleUp FTriangleDown FCircle


#Verbose

#WindowSize Width=812 Height=477
#SetPaper   [A4 | A3 | B5 | USLETTER | USLEGAL]
#LineJoin   [Round|Sharp]
AddLogo     XStart=1.000 YStart=2.700 XScale=0.140 YScale=0.140


#############################################################

ReadBinSurface File="DATA/BROWSE_19961120D_648x324.gz" DataType=8bit  Ncolumns=648 Nlines=324   UndefValue=0 

PlotTitle     Title="POLDER CLASSIC" 
Grid          Frame=Yes   Xgrid=No       Ygrid=No  
ScaleToFrame
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale 
SurfaceGeometry Xmin=-180 Xmax=180 Ymin=-90 Ymax=90    DistanceFactor=1 XYRatio=1 Interpolation=No
SurfaceLUT       LutNumber=4
AddObject        Surface     

ReadFile     File="DATA/WORLD_MAP_POLDER.gz" 

LineStyle     Curve=1   Style=Solid           Color=Red          Thickness=4
LineStyle     Curve=2   Style=MicroDash       Color=Blue         Thickness=4
LineStyle     Curve=3   Style=SmallDash       Color=Magenta      Thickness=4
LineStyle     Curve=4   Style=Dash            Color=Black        Thickness=4
LineStyle     Curve=5   Style=LongDash        Color=Green        Thickness=4
LineStyle     Curve=6   Style=DashDot         Color=Forest       Thickness=4
LineStyle     Curve=7   Style=LineDot         Color=Sienna       Thickness=4
LineStyle     Curve=8   Style=Solid           Color=Yellow       Thickness=4
LineStyle     Curve=9   Style=MicroDash       Color=Coral        Thickness=4
LineStyle     Curve=10   Style=SmallDash       Color=Violet       Thickness=4

XTitle        Title=""
XAxis         Scale=Linear    Min=-180    Max=180 
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"
YTitle        Title=""
YAxis         Scale=Linear    Min=-90    Max=90  
YLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"

DrawCell        XStart=3  YStart=3  Width=16  Height=10 

#############################################################

ReadBinSurface File="DATA/BROWSE_19961120D_648x324.gz" DataType=8bit  Ncolumns=648 Nlines=324   UndefValue=0

PlotTitle     Title="POLDER INVERS"
Grid          Frame=Yes   Xgrid=No       Ygrid=No
ScaleToFrame
#BE CAREFUL!! Xmin, Xmax, Ymin and Ymax allows a surface rescale
SurfaceGeometry Xmin=-180 Xmax=180 Ymin=-90 Ymax=90    DistanceFactor=1 XYRatio=1 Interpolation=No
SurfaceLUT       LutNumber=4
AddObject        Surface    

ReadFile     File="DATA/WORLD_MAP_POLDER.gz"

LineStyle     Curve=1   Style=Solid           Color=Red          Thickness=4
LineStyle     Curve=2   Style=MicroDash       Color=Blue         Thickness=4
LineStyle     Curve=3   Style=SmallDash       Color=Magenta      Thickness=4
LineStyle     Curve=4   Style=Dash            Color=Black        Thickness=4
LineStyle     Curve=5   Style=LongDash        Color=Green        Thickness=4
LineStyle     Curve=6   Style=DashDot         Color=Forest       Thickness=4
LineStyle     Curve=7   Style=LineDot         Color=Sienna       Thickness=4
LineStyle     Curve=8   Style=Solid           Color=Yellow       Thickness=4
LineStyle     Curve=9   Style=MicroDash       Color=Coral        Thickness=4
LineStyle     Curve=10   Style=SmallDash       Color=Violet       Thickness=4

XTitle        Title=""
XAxis         Scale=Formula Formula="x/cosd(y)"   NewMin=-180 NewMax=180 Delta=180
XLabel        LabelStep=1   Reference=-180   LabelHeight=1.00   CFormat="%.0f^o"
YTitle        Title=""
YAxis         Scale=Linear    Min=-90    Max=90
YLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f^o"

DrawCell        XStart=3  YStart=17  Width=16  Height=10

SendToFile     File="OUT/polder.ps"  Type=Color 
