/*-----------------------------------------------
   RELATED PROGRAM: drawing with interaction between software and Mgraph
  -----------------------------------------------
  COMMON VARIABLES:
     int Mgraph_no Sequence number of the software; 
                      several Mgraph can be launched at the same time id (several Mgraph can be launched)
     int nwindow   Number of window in which the data will be shown (-1=Current)
     int color     Number of the color: from 0 to 12:
                          Red, Blue, Magenta, Black, Green, Forest, Sienna,
                          Yellow, Coral, Violet, Plum, Cyan, Turquoise
			  Plum, Cyan,Turquoise
                      and 16 for the White
     int linestyle Style of the line: from 0 to 7:
                          Solid, NoLine, MicroDash, SmallDash,
                         Dash, LongDash, DashDot, LineDot
     int marker    Style of the marker: from 0 to 15:
                          NoMark, BigDot, SmallDot, Cross, X, Square,
                          Diamond, TriangleUp, TriangleDown, Circle
                          filled: Square, Diamond, TriangleUp, TriangleDown, Circle
-----------------------------------------------*/

#include <stdio.h>
#include <math.h>
#include <unistd.h>

#define FALSE 0
#define TRUE  1

#define LOGIN NULL
#define SHELL NULL
#define PATH "/usr/local/bin"
#define PROG "Mgraph_sp"
#define COMPUTER ""
#define DISPLAY NULL 
#define XFormula "cos(x)"
#define YFormula NULL

extern int run_mgraph();
main()
{
float *xx,*yy;
int   i,nbp,plot_no;
float  coef;

int   Mgraph_no;
int   nwindow;
int   width;
int   height;
char  title[128],texte[128];
char  TitleAxis[128];
char  Format[128];
float xmin,xmax,ymin,ymax;
int   grid;
float xstep,ystep;
float xbase,ybase;
int   ixtic,iytic;
int   ixlog,iylog;
int   clear,color,linestyle,marker;
float posx,posy;


	clear = 0;
	color = 0;
	linestyle = 0;
	marker = 0;
	posy=0.1;

/*========================================================================================
 START MGRAPH_SP MODULE: run_mgraph
        LOGIN:  login name; 		if NULL will be the current login
        SHELL:  "rsh" or "remsh"; 	if NULL will be  "remsh"
        PATH :  path where the program is
        PROG :  name of the program (Mgraph_sp)
        COMPUTER:       name of the computer where the program has to
                        be launched; 	if NULL will be the server name
	DISPLAY: Your Display Id; 	if NULL will be your DISPLAY address
                                             from your environment
==========================================================================================*/

        Mgraph_no = 1;
	if(!run_mgraph(Mgraph_no,LOGIN,SHELL,PATH,PROG,COMPUTER,DISPLAY))
	{
		printf("Cannot start Mgraph\n");
		exit(0);
	}

	nbp = 512;
	xx = (float *) malloc( sizeof(float) * nbp );
	yy = (float *) malloc( sizeof(float) * nbp );

/*========================================================================================
SEND_RESIZE WINDOW
	int width,height      = window size  in pixel
==========================================================================================*/

	width=600;
	height=500;
	nwindow = 1;
	send_resize(Mgraph_no,nwindow,width,height);

/*=========================================================================================
SEND TITLE
	char title[] = the text which is to be shown
==========================================================================================*/

	strcpy(title,"y=sin(x) Window 1");
	send_title(Mgraph_no,nwindow,title);

/*=========================================================================================
SEND AXES
send_xaxes2(client_id,window,legend,format,label_size,min,max,grid,
            color,thickness,rotation,step,ref,tick,log,Formula);

	CAREFUL with types !!!
      char  legend               The text which is displayed under the axis
      char  format               the C format formulation   ("%.2f" for ex.)
      float label size           factor on label size 
      float min,max              the limits of axis (-1 : uses the best)
      int   grid                 10= grid 11= half tone 12= no grid    
      int   color                color type (3=black)
      int   thickness            thickness of the line factor
      float rotation             label text rotation in degrees
      float step                 the step in your units between two ticks (-1:uses the best)
      float ref                  reference value   (-1 : uses the best)
      int   tick                 step (in ticks) between two labeled ticks  (-1 : uses the best)
      int   log                  0=linear 1=logarithm  2=formula 3=time  4=degree
      char  Formula[]            (if log = 2)
============================================================================================*/

      xmin = 0.;
      xmax = 3.15;
      xstep= -1.;
      xbase= -1.;
      grid= 12;
      ixtic= -1;
      ixlog=  2;

 	send_xaxes2(Mgraph_no,nwindow,"0 <angle< $p","%.2f",1.0,
			xmin,xmax,grid,3,1,30.0,xstep,xbase,ixtic,ixlog,XFormula);

      ymin = 0.;
      ymax = 10.;
      ystep= -1.;
      ybase= -1.;
      iytic= -1;
      iylog=  0;

	send_yaxes2(Mgraph_no,nwindow,"computed sinus","%.2f",1.0,
			ymin,ymax,grid,3,1,30.0,ystep,ybase,iytic,iylog,YFormula);

	coef = 1.;

	for(plot_no=1;plot_no<5;plot_no++){

/*=======================================================================================
	Compute data...
=========================================================================================*/

	    for(i=0;i<nbp;i++){
	        xx[i] = (float)i * 3.141592 / nbp;
	        yy[i] = coef * sin((double)xx[i]) ;
	    }

/*========================================================================================
 SEND DATA ON WINDOW nwindow
send_data2(client_id,window,clear,plot_nb,nbp,xx,yy,color,style,mark,thickness,marksize);

     int plot_nb      Number of the curve (-1 will determine an available one)
     int nbp          Number of points in the data
     float xx         x    data
     float yy         f(x) data
     int color
     int style
     int mark
     int thickness 
     int marksize 
========================================================================================*/

	    send_data2(Mgraph_no,nwindow,clear,plot_no,nbp,xx,yy,color,linestyle,marker,1,1);

/*===========================================================================================
ADD TEXT ON WINDOW
        send_text2(client_id,window,color,rotation,size,bold,x_pos,y_pos,text,relative);
   float rotation       rotation angle in degree
   float size           factor size of the text
   int   bold           0->plain text  1->bold text
   float x_pos,y_pos    position of the marker (or the text)
   char  text           the text which is to be shown
   int   relative       0->relative to frame in % 1->relative to real coordinates
===========================================================================================*/

	    posx = 80;
	    sprintf(texte,"%.5f %c",3.141592 * plot_no,0);
	    send_text2(Mgraph_no,nwindow,color,0.0,1.,0,posx,posy,texte,0);
	    color++;
	    if (color>12) color = 0;
	    posy += 5;
	    printf("You can adjust your curve in your program\n");
            printf("enter new coef (between 1-10) for a new curve: ");
	    scanf("%g",&coef);
	}

/*====================================================================================
ANIMATE PLOTS
	int elapse_time   10 -> 100
	int step    > 1 if the animation is too slow
======================================================================================*/

	send_animate(Mgraph_no,nwindow,100,1);
	printf("Touch the plot Window 1 to animate.... \n");

/*====================================================================================
 	New Window, same Mgraph,  with the cosinus...
======================================================================================*/
      nwindow = 2;
      strcpy(title,"y=cos(x) Window 2");
      send_title(Mgraph_no,nwindow,title);

      send_xaxes2(Mgraph_no,nwindow,"Angle","%.1f",1.0,0.,10.,11,3,1,30.0,-1.,5.,2,4,XFormula);
      send_yaxes2(Mgraph_no,nwindow,"cos(x)","%.2f",1.0,-1.,-1.,11,3,1,30.0,ystep,ybase,2,0,YFormula);

      color=0;
      clear=1;
      linestyle=2;

      for(plot_no=0; plot_no<5; plot_no++){
         for(i=0;i<nbp;i++){
            *(xx+i) = i * 3.141592 * plot_no / nbp;
            *(yy+i) = cos(*(xx+i))* plot_no/10.;
         }
          send_data2(Mgraph_no,nwindow,clear,-1,nbp,xx,yy,color,linestyle,marker,1,1);
          color++;
          linestyle++;
          clear=0;
      }


/*===========================================================================================
EXIT_MAIN_PROGRAM
	before quitting your main program,  call send_end_dialog
	to keep Mgraph running
===========================================================================================*/

	send_end_dialog(Mgraph_no);
	free(xx);
	free(yy);
}
