c-----------------------------------------------
c  RELATED PROGRAM: drawing with interaction between software and Mgraph
c -----------------------------------------------
c COMMON VARIABLES:
c    integer Mgraph_no Sequence number of the software;
c                        several Mgraph can be launched at the same time id (several Mgraph can be launched)
c    integer nwindow   Number of window in which the data will be shown (-1=Current)
c    integer color     Number of the color: from 0 to 12:
c                         Red, Blue, Magenta, Black, Green, Forest, Sienna,
c                         Yellow, Coral, Violet, Plum, Cyan, Turquoise
c                         Plum, Cyan,Turquoise
c                        and 16 for the White
c    integer linestyle Style of the line: from 0 to 7:
c                         Solid, NoLine, MicroDash, SmallDash,
c                           Dash, LongDash, DashDot, LineDot
c    integer marker    Style of the marker: from 0 to 15:
c                         NoMark, BigDot, SmallDot, Cross, X, Square,
c                         Diamond, TriangleUp, TriangleDown, Circle
c                         filled: Square, Diamond, TriangleUp, TriangleDown, Circle
c-----------------------------------------------


      CHARACTER*(*) LOGIN,SHELL,PROG,PATH,COMPUTER
      CHARACTER*(*) X_FORMULA,Y_FORMULA,DISPLAY
      PARAMETER (LOGIN=" ")
      PARAMETER (SHELL=" ")
      PARAMETER (PATH ="//usr/local/bin/")
      PARAMETER (PROG ="Mgraph_sp")
      PARAMETER (COMPUTER =" ")
      PARAMETER (DISPLAY = " ")
      PARAMETER (X_FORMULA= "cos(x)")
      PARAMETER (Y_FORMULA=" ")

      character*128 title,text
      real xx(512),yy(512)
      integer width,height

      iclear = 0
      icolor = 0
      linestyle = 0
      marker = 0 
      py = 0.1

c========================================================================================
c START MGRAPH_SP MODULE: run_mgraph_f
c       LOGIN:  login name;             if NULL will be the current login
c       SHELL:  "rsh" or "remsh";       if NULL will be  "remsh"
c       PATH :  path where the program is
c       PROG :  name of the program (Mgraph_sp)
c       COMPUTER:       name of the computer where the program has to
c                       be launched;    if NULL will be the server name
c       DISPLAY: Your Display Id;       if NULL will be your DISPLAY address
c                                            from your environment
c==========================================================================================

      Mgraph_no = 1
      call run_mgraph_f
     *(Mgraph_no,LOGIN,SHELL,PATH,PROG,COMPUTER,DISPLAY)


c========================================================================================
c SEND_RESIZE WINDOW
c        integer width,height      = window size  in pixel
c==========================================================================================

      width=600
      height=500
      nwindow = 1
      call send_resize_f(Mgraph_no,nwindow,width,height)

c=====================================================================
c SEND TITLE
c    call send_title_f(client_id,window,title)
c       character* title = the text which is to be shown
c=====================================================================

      write(title,'(A)')"y=sin(x) Window 1"
      call send_title_f(Mgraph_no,nwindow,title)

c=====================================================================
c SEND AXES
c         CAREFUL with types !!!
c    call send_xaxes2_f(client_id,window,legend,format,label_size,min,max,grid,
c            color,thickness,rotation,step,ref,tick,log,Formula)
c       character*  legend             The text which is displayed under the axis
c       character*  format             the C format formulation   ("%.2f" for ex.)
c       real        label size         factor on label size
c       real        min,max            the limits of axis (-1 : uses the best)
c       integer     grid               10= grid 11= half tone 12= no grid
c       integer     color              color type (3=black)
c       integer     thickness          thickness of the line factor
c       real        rotation           label text rotation in degrees
c       real        step               the step in your units between two ticks (-1:uses the best)
c       real        ref                reference value   (-1 : uses the best)
c       integer     tick               step (in ticks) between two labeled ticks  (-1 : uses the best)
c       integer     log                0=linear 1=logarithm  2=formula 3=time  4=degree
c       character*  Formula            (if log = 2)
c=====================================================================

      xmin = 0.
      xmax = 3.15
      xstep= -1.
      xbase= -1.
      igrid= 12
      ixtic= -1
      ixlog=  2

      call send_xaxes2_f(Mgraph_no,nwindow,"0 <angle< $p","%.2f",1.0,
     &	xmin,xmax,igrid,3,1,30.0,xstep,xbase,ixtic,ixlog,X_FORMULA)
 
      ymin = 0.
      ymax = 10.
      ystep= -1.
      ybase= -1.
      iytic= -1
      iylog=  0
 
      call send_yaxes2_f(Mgraph_no,nwindow,"computed sinus","%.2f",1.0,
     &	ymin,ymax,igrid,3,1,30.0,ystep,ybase,iytic,iylog,Y_FORMULA)

      va = 1
      nbp = 512
      do iplot = 1,5
c=====================================================================
c Compute data...
c=====================================================================

         do i = 1,nbp
            xx(i) = i * 3.141592 / nbp
            yy(i) = va * sin(xx(i))
         enddo

c=====================================================================
c SEND DATA ON WINDOW 
c    call send_data2(client_id,window,clear,plot_nb,nbp,xx,yy,color,style,mark,thickness,marksize)
c
c     integer clear 	   does the window have it to be cleared? (0=no 1=yes)
c     integer plot_nb	   Number of the curve (-1 will determine an available one)
c     integer nbp	   Number of points in the data
c     real    xx	   x    data
c     real    yy	   f(x) data 
c     integer color 	   
c     integer style
c     integer mark 
c     integer thickness
c     integer marksize
c=====================================================================

         call send_data2_f(Mgraph_no,nwindow,iclear,iplot,
     &			  nbp,xx,yy,icolor,linestyle,marker,1,1)
         icolor = icolor + 1
	 if (icolor.gt.12)icolor = 1

c=====================================================================
c ADD TEXT ON WINDOW 
c    call send_text2_f(client_id,window,color,rotation,size,bold,x_position,y_position,text,relative)
c  real           rotation       rotation angle in degree
c  real           size           factor size of the text
c  integer        bold           0->plain text  1->bold text
c  real           x_pos,y_pos    position of the marker (or the text)
c  character*(*)  text           the text which is to be shown
c  integer        relative       0->relative to frame in % 1->relative to real coordinates
c=====================================================================

 	 px = 80.
 	 py = py + 5
         write(text,"(f5.2)")3.141592 * iplot

         call send_text2_f(Mgraph_no,nwindow,icolor,
     *          0.0,1.,0,px,py,text,0)

	 print *,'You can adjust your curve in your program'
         print*,"enter new coef (between 1-10) for a new curve:"
         read(5,*)va

        enddo


c=====================================================================
c  ANIMATE PLOTS     
c  integer elapse time   10 -> 100
c  integer step   > 1 if the animation is too slow
c=====================================================================

      call send_animate_f(Mgraph_no,nwindow,10,1)
	 print *,"Touch the plot Window 1 to animate...."

c=====================================================================
c New Window, same Mgraph,  with the cosinus...
c=====================================================================
      nwindow = 2
      write(title,'(A)')"y=cos(x) Window 2"
      call send_title_f(Mgraph_no,nwindow,title)

      call send_xaxes2_f(Mgraph_no,nwindow,"Angle","%.1f",1.0,
     &  0.,10.,11,3,1,0.0,-1.,5.,2,4,X_FORMULA)
      call send_yaxes2_f(Mgraph_no,nwindow,"cos(x)","%.2f",1.0,
     &  -1.,-1.,11,3,1,0.0,ystep,ybase,2,0,Y_FORMULA)

      icolor=0
      iclear=1
      linestyle=2

      do iplot = 1,5
         do i = 1,nbp
            xx(i) = i * 3.141592 * iplot / nbp
            yy(i) = cos(xx(i))* iplot/10.
         enddo
	  call send_data2_f(Mgraph_no,nwindow,iclear,-1,
     &			nbp,xx,yy,icolor,linestyle,marker,1,1)
	  icolor = icolor + 1
	  linestyle = linestyle + 1
	  iclear=0
      enddo


c=====================================================================
c  EXIT MAIN PROGRAM
c before quitting your main program,  call send_end_dialog_f
c to keep Mgraph running
c=====================================================================

      call send_end_dialog_f(Mgraph_no)
      stop
      end
