c==================================================================
c         SHORT PROGRAM:
c         ---------------
c          You just need 3 calls to draw a surface:
c               run_mgraph_f:       Calling of the software
c               send_datasurf_f:    Drawing of surface
c               send_end_dialog_f:  Close Dialog: Mgraph remains active
c----------------------------
c COMMON VARIABLES:
c    integer Mgraph_no Sequence number of the software;
c                     several Mgraph can be launched at the same time id (several Mgraph can be launched)
c    integer id        Number of window in which the data will be shown (-1=Current)
c    integer color     Number of the color: from 0 to 12:
c                         Red, Blue, Magenta, Black, Green, Forest, Sienna,
c                         Yellow, Coral, Violet, Plum, Cyan, Turquoise
c                         Plum, Cyan,Turquoise
c                     and 16 for the White
c    integer linestyle Style of the line: from 0 to 7:
c                         Solid, NoLine, MicroDash, SmallDash,
c                        Dash, LongDash, DashDot, LineDot
c    integer marker    Style of the marker: from 0 to 15:
c                         NoMark, BigDot, SmallDot, Cross, X, Square,
c                         Diamond, TriangleUp, TriangleDown, Circle
c                         filled: Square, Diamond, TriangleUp, TriangleDown, Circle
c----------------------------------------------

      CHARACTER*(*) PROG,PATH,COMPUTER,DISPLAY,LOGIN,SHELL
      PARAMETER (LOGIN=" ")
      PARAMETER (SHELL= " ")
      PARAMETER (PATH = "/usr/local/bin")
      PARAMETER (PROG = "Mgraph_sp")
      PARAMETER (COMPUTER = " ")
      PARAMETER (DISPLAY = " ")
 
      real zz(50,50),cont(10),pix(4)
      integer color(10),linetype(10),marktype(10),dolabel(10),addings(4)
      integer *2 red(256),green(256),blue(256)

C addings surface,triangles,dots,region

      data color    / 0,1,2,3,4,5,6,7,8,9 /
      data linetype / 0,0,0,0,0,0,0,0,0,0 /
      data marktype / 0,0,0,0,0,0,0,0,0,0 /
      data dolabel  / 1,1,1,1,1,0,0,0,0,0 /
      data addings  / 1,0,0,0 /
      data pix 	    / 0.0,0.0,0.0,0.0 /

c========================================================================================
c START MGRAPH_SP MODULE: run_mgraph_f
c       LOGIN:  login name;             if NULL will be the current login
c       SHELL:  "rsh" or "remsh";       if NULL will be  "remsh"
c       PATH :  path where the program is
c       PROG :  name of the program (Mgraph_sp)
c       COMPUTER:       name of the computer where the program has to
c                       be launched;    if NULL will be the server name
c       DISPLAY: Your Display Id;       if NULL will be your DISPLAY address
c                                            from your environment
c==========================================================================================

      Mgraph_no = 1
      call run_mgraph_f
     *(Mgraph_no,LOGIN,SHELL,PATH,PROG,COMPUTER,DISPLAY)

c========================================================================================
c SEND_RESIZE WINDOW
c        integer width,height      = window size  in pixel
c==========================================================================================

      call send_resize_f(Mgraph_no,-1,600,450)

c=====================================================================
c SEND TITLE
c    call send_title_f(client_id,window,title)
c       character* title = the text which is to be shown
c=====================================================================

      call send_title_f(Mgraph_no,-1,"sin(x/y)")

      call send_xaxes_f(Mgraph_no,-1,"Angle",
     &  "%.1f",
     &  -1.0,-1.0,12,-1.0,-1.0,-1,0," ")
      call send_yaxes_f(Mgraph_no,-1,"Value",
     &  "%.1f",
     &  -1.0,-1.0,12,-1.0,-1.0,-1,0," ")


      iw = 50
      ih = 50
      xs= 12.0 / iw
      ys= 6.0 / ih
      do i = 1,ih
      x= -6 + i * xs
      do j = 1,iw
      y= -3 + j * ys
      if( y .eq. 0.0) y=.01
      zz(i,j) = sin(x / y)
      enddo
      enddo

      nbco= 3
      cont(1)= -.5
      cont(2)= .5
      cont(3)= 0.0

c------------------------------------------------
c SEND A SURFACE AND DRAW THE CONTOURS:
c    call   send_datasurf_f(mgraph_no,nwindow,width,height,xmin,xmax,ymin,ymax,data,nbcont,cont,
c              color, style,mark ,dolabel,add,undef,distance,pix,nlut,
c              red,green,blue,near,Format,AddMode);
c    integer   width                   matrix width
c    integer   height                  matrix height
c    real      xmin xmax ymin ymax     limits on X and Y
c    real      data[width*height]      data values
c    integer   nbcont                  number of contour values
c    real      cont[nbcont]            contour values
c    integer   color[nbcont]           (0->12 - 16)
c    integer   style[nbcont]           (0->7)      Line style
c    integer   mark[nbcont]            (0->15)     Mark type
c    integer   dolabel[nbcont]         Draw label? 0=No 1=Yes
c    integer   add[4]                  Surface , Region , Dots , Triangles (0/1)
c    real      undef                   Undef value 
c                                      (This value will be computed in the final contours)
c    real      distance                Region distance factor
c    real      pix[4]                  Color tranformation: minv maxv minp maxp
c    integer   nlut                    0=no lut   1->14=internal LUT 256=use following LUTS
c    short *  Red[256]                 LUT
c    short *  Green[256]               LUT
c    short *  Blue[256]                LUT
c    integer   near                    pixel interpolation: 0=No 1=Yes
c    character*(*)  Format             label C format
c    integer   AddMode                 1=add mode on graphic window
c-----------------------------------------------

      call  send_datasurf_f(Mgraph_no,-1,iw,ih,
     *1.0, 3.0, 2.0, 4.0, zz,nbco,cont,
     *color,linetype,marktype,dolabel,addings,9999.0,6.0,
     *pix,2,red,green,blue,0,"%.3f",0)
      call sleep_f(5)
      nbco= 2
      cont(1)= -.3
      cont(2)= .3
c---------------------------
c  Add 2 another contours
c---------------------------

      call  send_datasurf_f(Mgraph_no,-1,iw,ih,
     *1.0, 3.0, 2.0, 4.0, zz,nbco,cont,
     *color,linetype,marktype,dolabel,addings,9999.0,6.0,
     *pix,2,red,green,blue,0,"%.1f",1)

c=====================================================================
c  EXIT MAIN PROGRAM
c before quitting your main program,  call send_end_dialog_f
c to keep Mgraph running
c=====================================================================

      call send_end_dialog_f(Mgraph_no)
      stop
      end
